<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
    <section class="main--nav">
        <nav class="navbar navbar-expand-lg navbar-light bg-white">
            <div class="container">
                <f:link.page pageUid="{site.rootPageId}" title="{site.configuration.companyname}" class="navbar-brand me-lg-5">
                    <f:if condition="{site.configuration.logofilename}">
                        <f:then>
                            <f:image src="fileadmin/logos/{site.configuration.logofilename}" alt="{site.configuration.companyname}" width="265c" height="62" class="logo"/>
                        </f:then>
                        <f:else>
                            <img src="https://via.placeholder.com/265x62?text=Logo+Fehlt">
                        </f:else>
                    </f:if>
                </f:link.page>
                <button class="navbar-toggler " type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <div class="navbar-toggler-inner"></div>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <f:render partial="MenuRecursions" section="MenuRecursionStart" arguments="{recursionStartPageUid: site.rootPageId}"/>
                </div>
                <f:render partial="Search" arguments="{additionalClasses: 'd-lg-block'}" />
            </div>
        </nav>
    </section>
</html>
